<div style="display: table-caption;margin-left: 100px;">
    <form [formGroup]='VisitingPreferenceForm' (ngSubmit)="VisitingPreferenceForm.valid && saveVisitingPreferences()" autocomplete="off">
        <input accept="image/*" [disabled]="!isEdit"  type="file" #file placeholder="Choose file" (change)="editFile(file.files)" style="display:none;">
        <div style="text-align: center;" (click)="file.click()">
        <img   *ngIf="image===''"  src="https://mdbootstrap.com/img/new/avatars/8.jpg" alt="" style="width: 45px; height: 45px;cursor: copy;"
        class="rounded-circle" />

        <img  id="preview" *ngIf="image!=''"  [src]="image" alt="" style="width: 45px; height: 45px;cursor: copy;"
        class="rounded-circle" />
    </div>
    <hr>
    <label for="Description">Description :</label>
     <textarea [readonly]="!isEdit" [style]='!isEdit?"color:gray":""' id="Description" style="width: 800px;height:100px" placeholder="Description" formControlName="Description" ></textarea>
     <label for="region">Preferred Region :</label>
    <app-google-maps id="region" #region [isEdit]="isEdit" [region]='user.prefferedRegion' (RegionEvent)="UpdateRegion($event)"></app-google-maps>
    <div class="row" *ngIf="validationErrors.length > 0">
        <ul class="text-danger">
            <li *ngFor="let error of validationErrors">
                {{error}}
            </li>
        </ul>
    </div>
    <div class="form-group text-center">
        <button *ngIf="isEdit" [disabled]='!VisitingPreferenceForm.valid' class="btn btn-success mr-2" type="submit">Save</button>
        <button *ngIf="!isEdit" class="btn btn-success mr-2" (click)="Edit()">Edit</button>
        <button *ngIf="isEdit" class="btn btn-default mr-2" (click)="Cancel()" type="button">Cancel</button>
    </div>
</form>
  </div>